NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_gifsize(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_gifsize - Determine the width and height of a GIF87 or GIF89 image

## Table Of Contents

## Synopsis

- ns_gifsize filename

## Description

Returns a list of two elements, the width and height of the GIF file specified by filename. An error is generated if the file does not exist or if it is not a GIF file.

## COMMANDS

ns_gifsize filename

## EXAMPLES

       % ns_gifsize screenshot.gif
       1024 768

       % ns_gifsize test.html
       invalid GIF file: "test.html"

## See Also

ns_imgmime, ns_imgsize, ns_imgtype, ns_jpegsize, ns_pngsize

## Keywords

images